
TYPO3.Flow - Feature # 1791

Status: Resolved Priority: Must have
Author: Bastian Waidelich Category: MVC
Created: 2008-10-23 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Routing: Implement Caching
Description
Routes are not cached at the moment.
Todo:
    -  Whenever calling match() or resolve() the Cache must be checked for applicable entries.
    -  Whenever a route matches, the current URI and it's "matchingValues" must be stored in the Cache.
    -  Whenever a route was resolved, the current "routeValues" and it's "matchingURI" must be stored in the Cache.

Associated revisions
Revision fe2501ed - 2009-03-02 11:51 - Karsten Dambekalns
FLOW3:
    -  removed controllerObjectNamePattern and viewObjectNamePattern from some places, refs #2444
    -  added caching to routing, based on work by Bastian and Sebastian, fixes #1791
    -  the Router resolve()s in lowercase and matches case-insensitive now, refs #2237
TYPO3CR:
    -  adjustments to Routes.yaml suggestion

History
#1 - 2008-10-28 12:53 - Karsten Dambekalns
- Target version deleted (1.0 alpha 1)

#2 - 2008-10-28 12:58 - Karsten Dambekalns
- Target version set to 1.0 alpha 1

#3 - 2009-03-02 12:00 - Karsten Dambekalns
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1951.
